Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453797 - sosreport fails to generate fdisk -l
Summary: sosreport fails to generate fdisk -l
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos
Version: 5.3
Hardware: All
OS: Linux
urgent
low
Target Milestone: rc
: ---
Assignee: Adam Stokes
QA Contact:
URL:
Whiteboard:
Depends On: 453792
Blocks: 455725
TreeView+ depends on / blocked
 
Reported: 2008-07-02 15:19 UTC by Robert Jackson
Modified: 2015-02-24 22:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:41:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0171 normal SHIPPED_LIVE sosreport bug fix and enhancement update 2009-01-20 16:05:38 UTC

Description Robert Jackson 2008-07-02 15:19:53 UTC
+++ This bug was initially created as a clone of Bug #453792 +++

Description of problem:
sosreport fails to generate fdisk -l unless a raid is present

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.run sosreport without a RAID present 
2.verify that fdisk -l is not being generated.
3.
  
Actual results:
fdisk -l is not being generated

Expected results:
fdisk -l is generated

Additional info: The cluster plugin also caused this to generated.

Comment 1 Robert Jackson 2008-07-02 15:20:29 UTC
Following patch clears it up:

--- /usr/lib/python2.4/site-packages/sos/plugins/filesys.py     2008-07-02
11:13:33.000000000 -0400
+++ /usr/lib/python2.4/site-packages/sos/plugins/filesys.py2    2008-07-02
11:13:41.000000000 -0400
@@ -28,6 +28,7 @@
         self.addCopySpec("/etc/mdadm.conf")

         self.collectExtOutput("/bin/df -al", root_symlink = "df")
+        self.collectExtOutput("/sbin/fdisk -l", root_symlink = "fdisk_l")
         self.collectExtOutput("/usr/sbin/lsof -b +M -n -l", root_symlink = "lsof")
         self.collectExtOutput("/bin/mount -l", root_symlink = "mount")
         self.collectExtOutput("/sbin/blkid")


Comment 2 RHEL Product and Program Management 2008-07-02 16:40:52 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 11 errata-xmlrpc 2009-01-20 21:41:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0171.html


Note You need to log in before you can comment on or make changes to this bug.